Get Messages
curl --request GET \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}/messages \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>'import requests
url = "https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}/messages"
headers = {
"X-Recallr-Project-Id": "<x-recallr-project-id>",
"X-Recallr-Api-Key": "<x-recallr-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Recallr-Project-Id': '<x-recallr-project-id>',
'X-Recallr-Api-Key': '<x-recallr-api-key>'
}
};
fetch('https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"content": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sessions
Get Messages
Retrieve all messages from a session conversation.
Get the complete conversation history for a session with pagination support. Messages are returned in chronological order.
Path Parameters:
custom_user_id(str): Unique identifier for the usersession_id(UUID): Session UUID to get messages from
Query Parameters:
offset(int): Number of messages to skip for pagination. Default: 0limit(int): Maximum messages to return. Range: 1-500. Default: 50
Returns:
messages(List[Message]): List of message objects with role, content, and timestamptotal(int): Total number of messages in the sessionhas_more(bool): Whether more messages are available beyond the current page
GET
/
api
/
v1
/
users
/
{custom_user_id}
/
sessions
/
{session_id}
/
messages
Get Messages
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 500Was this page helpful?
⌘I

